KCMAP_CHANGE(3)

FUNCTION
kcmap_change - Change active colourmap function.

SYNOPSIS
#include <karma_kcmap.h>

flag kcmap_change

(Kcolourmap cmap, CONST char *new_name, unsigned int num_cells, flag tolerant)

DESCRIPTION
This routine will change the active function (algorithm) used to calculate the colours in a colourmap and the size of the colourmap.

cmap
    The colourmap object.

new_name
    The new function name. If this is NULL then the active function is not changed.

num_cells
    The number of colourcells required for the colourmap. If this is less then 2 the number of cells is not changed.

tolerant
    If TRUE, then the routine will try to allocate as many colourcells as possible (up to num_cells ), else it will fail if it could not allocatate all required colourcells.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/